# ---------------------------------------------------------------------------
# Alternative Character Settings
# ---------------------------------------------------------------------------
# This properties file is solely for the purpose of Character modifications that directly influence them.
# The defaults are set to be retail-like. If you modify any of these settings your server will deviate from being retail-like.
# Warning: 
# Please take extreme caution when changing anything. Also please understand what you are changing before you do so on a live server.

# ---------------------------------------------------------------------------
# Statistics
# ---------------------------------------------------------------------------

# This option, if enabled, will force a character to de-level if the characters' experience is below their level after losing experience on death. If this is set to False, the character will not de-level even if their Experience is below their level after death.
# Default: True
Delevel = True

# This option enable check for all player skills for skill level. 
# If player level is lower than skill learn level - 9, skill level is decreased to next possible level.
# If there is no possible level, skill is removed from player.
DecreaseSkillOnDelevel = True

# Weight limit multiplier. Example: Setting this to 5 will give players 5x the normal weight limit.
# Default: 1
AltWeightLimit = 1

# Run speed modifier. Example: Setting this to 5 will give players +5 to their running speed.
# Default: 0
RunSpeedBoost = 0

# Chance of receiving the Death Penalty debuff when killed by a mob.
# Default: 20
DeathPenaltyChance = 20

# Percent of HP, MP, and CP which is restored on character revival.
# Use 0 to disable restore
# Default: 0, 65, 0
RespawnRestoreCP = 0
RespawnRestoreHP = 65
RespawnRestoreMP = 0

# Percent of HP, MP, and CP regeneration for players.
# Example: Setting HP to 10 will cause player HP to regenerate 90% slower than normal.
# Default: 100, 100, 100
HpRegenMultiplier = 100
MpRegenMultiplier = 100
CpRegenMultiplier = 100

# Decrease CP by 10 every normal hit a player do
# Default: False
AltGameTiredness = False


# ---------------------------------------------------------------------------
# Skills & Effects
# ---------------------------------------------------------------------------

# When this is enabled it will read the "SkillDurationList" option.
# This will basically overlook the "time = x" in the skill XMLs so that you do not need to modify the L2J Datapack XMLs to increase skill duration.
# Default: False
EnableModifySkillDuration = False
# Skill duration list
# Format: skillid,newtime;skillid2,newtime2...
# Example: 
#	This enable 1h(3600) duration for songs, the "\"indicates new line,
#	and is only set for formating purposes.
#	SkillDurationList = 264,3600;265,3600;266,3600;267,3600;268,3600;\
#	269,3600;270,3600;304,3600;305,1200;306,3600;308,3600;349,3600;\
#	363,3600;364,3600
SkillDurationList = 

# When this is enabled it will read the "SkillReuseList" option.
EnableModifySkillReuse = False
# Format: skillid,newDelayTime;skillid,newDelayTime2 (See skillDuration for examples)
SkillReuseList = 

# If it's true all class skills will be delivered upon level up and login.
# Default: False
AutoLearnSkills = False

# If it's true skills from forgotten scrolls will be delivered upon level up and login, require AutoLearnSkills.
# Default: False
AutoLearnForgottenScrollSkills = False

# Default: False
AutoLootHerbs = False

# Maximum number of buffs and songs/dances.
# Remember that Divine Inspiration will give players 4 additional buff slots on top of the number specified in "maxbuffamount".
# Default: 20, 12, 12
MaxBuffAmount = 20
MaxTriggeredBuffAmount = 12
MaxDanceAmount = 12

# Allow players to cancel dances/songs via Alt+click on buff icon 
# Default: False 
DanceCancelBuff = False

# This option enables/disables additional MP consume for dances and songs.
# Default: True
DanceConsumeAdditionalMP = True

# Allow players to have all dances/songs stored when logout.
# Default: False
AltStoreDances = False

# This option allows a player to automatically learn Divine Inspiration.
# This is not included in AutoLearnSkills above.
# Default: False
AutoLearnDivineInspiration = False

# This is to allow a character to be canceled during bow use, skill use, or both.
# Available Options: bow, cast, all
# Default: cast
AltGameCancelByHit = cast

# This option, if enabled, will allow magic to fail, and if disabled magic damage will always succeed with a 100% chance.
# Default: True
MagicFailures = True

# Protection from aggressive mobs after getting up from fake death.
# The value is specified in seconds.
# Default: 0
PlayerFakeDeathUpProtection = 0

# This option is to enable or disable the storage of buffs/debuffs among other effects.
# Default: True
StoreSkillCooltime = True

# This option is to enable or disable the storage of buffs/debuffs among other effects during
# a subclass change
# Default: False
SubclassStoreSkillCooltime = False

# These are alternative rules for shields.
# If True and they block:
#	The damage is powerAtk-shieldDef,
# If False and they block:
#	The damage is powerAtk / (shieldDef + powerDef)
# Default: False
AltShieldBlocks = False

# This is the percentage for perfect shield block rate.
# DEFAULT NEEDS TO BE VERIFIED, MUST BE CHANGED HERE AND IN CONFIG.JAVA IF NOT CORRECT
# Default: 10
AltPerfectShieldBlockRate = 10

# This is the value ticks are multiplied with to result in interval per tick in milliseconds.
# Note: Editing this will not affect how much the over-time effects heals since heal scales with that value too.
# Default: 666
EffectTickRatio = 666

# ---------------------------------------------------------------------------
# Class, Sub-class and skill learning options
# ---------------------------------------------------------------------------

# Allow use of Event Managers for changing occupation without any quests.
# Default: False
AllowClassMasters = False

# ConfigClassMaster=1;[57(100000)];[];2;[57(1000000)];[];3;[57(10000000)],[5575(1000000)];[6622(1)] 
# 1st occupation change for 100.000 Adena (item id 57) 
# 2nd occupation change for 1.000.0000 Adena (item id 57) 
# 3rd occupation change for 10.000.0000 Adena (item id 57) and 1.000.000 Ancient Adena (item id 5575) 
# on 3rd occupation change player will be rewarded with 1 Book of Giants (item id 6622) 
# ConfigClassMaster=1;[];[];2;[];[];3;[];[] 
# 1st, 2nd, 3rd occupation change for free, without rewards.
# ConfigClassMaster=1;[];[];2;[];[]
# Allow only first and second change.
ConfigClassMaster = 1;[];[];2;[];[];3;[];[] 

# Class Masters will allow changing to any occupation on any level inside class tree
# For example, Dwarven Fighter will be able to advance to:
# Artisan, Scavenger, Warsmith, Bounty Hunter, Maestro, Fortune Seeker.
# But Warsmith will be able to change only to Maestro. 
# Default = False
AllowEntireTree = False

# When character reach levels 20,40,76 he will receive tutorial page
# with list of the all possible variants, and can select and immediately
# change to the new occupation, or decide to choose later (on next login).
# Can be used with or without classic Class Masters.
# Default = False 
AlternateClassMaster = False

# Require life crystal needed to learn clan skills.
# Default: True
LifeCrystalNeeded = True

# Require book needed to enchant skills.
# Default: True
EnchantSkillSpBookNeeded = True

# Require spell book needed to learn Divine Inspiration.
# Default: True
DivineInspirationSpBookNeeded = True

# When enabled, the following will be true:
#	All classes can learn all skills.
#	Skills of another class costs x2 SP to learn.
#	Skills of another race costs x2 SP to learn.
#	Skills of fighters/mages costs x3 SP to learn.
# Default: False
AltGameSkillLearn = False

# Allow player to sub-class without checking for unique quest items.
# Default: False
AltSubClassWithoutQuests = False

# Allow player to add/change subclass at all village master
# Default: False
AltSubclassEverywhere = False

# Allow player to learn transformations without quest.
# Default: False
AltTransformationWithoutQuest = False

# Fee to remove Transfer skills.
# Default: 10000000
FeeDeleteTransferSkills = 10000000

# Fee to remove Sub-Class skills.
# Default: 10000000
FeeDeleteSubClassSkills = 10000000

# ---------------------------------------------------------------------------
# Summons configuration
# ---------------------------------------------------------------------------

# This option is to enable or disable the storage of buffs/debuffs among other effects on pets/invocations
# Default: True
SummonStoreSkillCooltime = True

# Servitor summons on login if player had it summoned before logout
# Default: True
RestoreServitorOnReconnect = True

# Pet summons on login if player had it summoned before logout
# Default: True
RestorePetOnReconnect = True

# ---------------------------------------------------------------------------
# Vitality configuration
# ---------------------------------------------------------------------------

# Enables vitality system
# Default: True
EnableVitality = True

# Do you want players to recover their vitality when they reconnect?
# This is calculated with the time they've been offline
# Actual Time - Last Time Online / 1000 x rate recovery on reconnect
# Notes:
#	Works only if EnableVitality = True
# Default: True
RecoverVitalityOnReconnect = True

# Option to set a lower vitality at character creation.
# Vitality needs to be enabled, and startingpoints needs to be lower
# than max-vitality points.
# Default: 20000
StartingVitalityPoints = 20000


# ---------------------------------------------------------------------------
# Limits
# ---------------------------------------------------------------------------

# Maximum Exp Bonus.
# from vitality + nevit's hunting bonus, and etc..
# Default: 3.5
MaxExpBonus = 3.5

# Maximum Sp Bonus.
# from vitality + nevit's hunting bonus, and etc..
# Default: 3.5
MaxSpBonus = 3.5

# Maximum character running speed.
# Default: 250
MaxRunSpeed = 250

# Maximum character Physical Critical Rate. (10 = 1%)
# Default: 500
MaxPCritRate = 500

# Maximum character Magic Critical Rate. (10 = 1%)
# Default: 200
MaxMCritRate = 200

# Maximum character Attack Speed.
# Default: 1500
MaxPAtkSpeed = 1500

# Maximum character Cast Speed.
# Default: 1999
MaxMAtkSpeed = 1999

# Maximum character Evasion.
# Default: 250
MaxEvasion = 250

# Minimum and Maximum Abnormal State Success Rate.
# This affect all skills/effects chances, except in skills where minChance or maxChance parameters are defined.
# Default: H5 minimum of 10% and maximum of 90%.
MinAbnormalStateSuccessRate = 10
MaxAbnormalStateSuccessRate = 90

# Maximum number of allowed subclasses for every player.
# Default: 3
MaxSubclass = 3

# Starting level for subclasses.
# Default: 40
BaseSubclassLevel = 40

# Maximum subclass level.
# Default: 80
MaxSubclassLevel = 80

# Maximum number of allowed slots for Private Stores Sell.
# Other means all the other races aside from Dwarf.
# Default: 4, 3
MaxPvtStoreSellSlotsDwarf = 4
MaxPvtStoreSellSlotsOther = 3

# Maximum number of allowed slots for Private Stores Buy.
# Other means all the other races aside from Dwarf.
# Default: 5, 4
MaxPvtStoreBuySlotsDwarf = 5
MaxPvtStoreBuySlotsOther = 4

# This will control the inventory space limit (NOT WEIGHT LIMIT).
# Default: 80, 100, 250
MaximumSlotsForNoDwarf = 80
MaximumSlotsForDwarf = 100
MaximumSlotsForGMPlayer = 250
MaximumSlotsForQuestItems = 100

# This will control a character's warehouse capacity.
# Notes:
#	This must be LESS then 300 or the client will crash.
# Default: 120, 100, 200, 20
MaximumWarehouseSlotsForDwarf = 120
MaximumWarehouseSlotsForNoDwarf = 100
MaximumWarehouseSlotsForClan = 200

# Freight
# Maximum items that can be placed in Freight
# Default: 200
MaximumFreightSlots = 200
# The price for each item that's deposited
# Default: 1000
FreightPrice = 1000

# Npc talk blockage. When a player talks to a NPC, he must wait some secs
# before being able to walk again. In seconds
# Default: 3
# Set to 0 to disable it
NpcTalkBlockingTime = 3

# ---------------------------------------------------------------------------
# Enchanting
# ---------------------------------------------------------------------------
# This controls the chance an item has to break if it is enchanted.
# This chance is in %, so if you set this to 100%, enchants will always succeed.
# DEFAULT NEEDS TO BE VERIFIED, MUST BE CHANGED HERE AND IN CONFIG.JAVA IF NOT CORRECT
EnchantChanceElementStone = 50
EnchantChanceElementCrystal = 30
EnchantChanceElementJewel = 20
EnchantChanceElementEnergy = 10

# List of non-enchantable items.
# Currently apprentice, travelers weapons and Pailaka items
# Default: 7816,7817,7818,7819,7820,7821,7822,7823,7824,7825,7826,7827,7828,7829,7830,7831,13293,13294,13296
EnchantBlackList = 7816,7817,7818,7819,7820,7821,7822,7823,7824,7825,7826,7827,7828,7829,7830,7831,13293,13294,13296

# ---------------------------------------------------------------------------
# Augmenting
# ---------------------------------------------------------------------------
# These control the chance to get a skill in the augmentation process.
# Default: 15, 30, 45, 60
AugmentationNGSkillChance = 15
AugmentationMidSkillChance = 30
AugmentationHighSkillChance = 45
AugmentationTopSkillChance = 60
# Accessory augmentation skills currently disabled
AugmentationAccSkillChance = 0

# This controls the chance to get a base stat modifier in the augmentation process.
# Notes:
#	This has no dependency on the grade of Life Stone.
# Default: 1
AugmentationBaseStatChance = 1

# These control the chance to get a glow effect in the augmentation process.
# Notes:
#	No/Mid Grade Life Stone can not have glow effect if you do not get a skill or base stat modifier.
# Default: 0, 40, 70, 100
AugmentationNGGlowChance = 0
AugmentationMidGlowChance = 40
AugmentationHighGlowChance = 70
AugmentationTopGlowChance = 100

# This will enable retail like weapon augmentation, but then you cant change 
# weapon glow, base stat chance, because it wouldnt be retail like again.
RetailLikeAugmentation = True

# This will have effect ONLY when RetailLikeAugmentation is True. The sum of 4 numbers must be 100!
# You can change probability (in %) of augment color chances - in order yellow, blue, purple, red
# Purple and Red always give skill. Default is 55%,35%,7%,3% for all lifestone grades (ie 7+3=10% 
# for skill, not counting blue ones, that are very rare and not useful anyway). 
RetailLikeAugmentationNoGradeChance = 55,35,7,3
RetailLikeAugmentationMidGradeChance = 55,35,7,3
RetailLikeAugmentationHighGradeChance = 55,35,7,3
RetailLikeAugmentationTopGradeChance = 55,35,7,3

# This will enable retail like accessory augmentation, but then you cant change skill chances for accessory augments
RetailLikeAugmentationAccessory = True

# List of non-augmentable items, currently contains only Grand Boss jewels
# Shadow, common, time-limited, hero, pvp, wear items are hardcoded, as well as all etcitems.
# Rods can't be augmented too.
# Default: 6656,6657,6658,6659,6660,6661,6662,8191,10170,10314
AugmentationBlackList = 6656,6657,6658,6659,6660,6661,6662,8191,10170,10314,13740,13741,13742,13743,13744,13745,13746,13747,13748,14592,14593,14594,14595,14596,14597,14598,14599,14600,14664,14665,14666,14667,14668,14669,14670,14671,14672,14801,14802,14803,14804,14805,14806,14807,14808,14809,15282,15283,15284,15285,15286,15287,15288,15289,15290,15291,15292,15293,15294,15295,15296,15297,15298,15299,16025,16026,21712,22173,22174,22175

# Allows alternative augmentation of PvP items.
# Default: False
AltAllowAugmentPvPItems = false

# ---------------------------------------------------------------------------
# Karma
# ---------------------------------------------------------------------------

# Karma player can be killed in Peace zone.
# Default: False
AltKarmaPlayerCanBeKilledInPeaceZone = False

# Karma player can use GateKeeper.
# Default: False
AltKarmaPlayerCanUseGK = False

# Karma player can use escape and recall skills.
# Default: True
AltKarmaPlayerCanTeleport = True

# Karma player can shop.
# Default: True
AltKarmaPlayerCanShop = True

# Karma player can trade.
# Default: True
AltKarmaPlayerCanTrade = True

# Karma player can use warehouse.
# Default: True
AltKarmaPlayerCanUseWareHouse = True


# ---------------------------------------------------------------------------
# Fame
# ---------------------------------------------------------------------------

# The maximum number of Fame points a player can have
# Default: 100000
MaxPersonalFamePoints = 100000

# How frequently the player gets Fame points while in a Fortress Siege zone
# Default: 300s (5 min)
FortressZoneFameTaskFrequency = 300

# How much Fame aquired while in a Fortress Siege Zone
# Default: 31
FortressZoneFameAquirePoints = 31

# How frequently the player gets Fame points while in a Castle Siege zone
# Default: 300s (5 min)
CastleZoneFameTaskFrequency = 300

# How much Fame acquired while in a Castle Siege Zone
# Default: 125
CastleZoneFameAquirePoints = 125

# Dead players can receive fame.
# Default: True
FameForDeadPlayers = True

# ---------------------------------------------------------------------------
# Crafting
# ---------------------------------------------------------------------------

# Option to enable or disable crafting.
# Default: True
CraftingEnabled = True

# Enable/Disable crafting of Masterwork items (If set to true, masterwork items can be created when crafting).
# Default: True
CraftMasterwork = True

# Limits for recipes
# Default: 50, 50
DwarfRecipeLimit = 50
CommonRecipeLimit = 50

# Alternative crafting rules. If enabled, the following will be true:
#	Crafting takes time.
#	Players get EXP/SP for crafting.
# Default: False
AltGameCreation = False

# Crafting Time multiplier.
# The higher the number, the more time the crafting process takes. XP/SP reward increases with time.
# Default: 1 
AltGameCreationSpeed = 1

# Additional crafting XP/SP rate multiplier.
# Default: 1, 1
AltGameCreationXpRate = 1
AltGameCreationSpRate = 1

# Additional XP/SP rate multiplier when creating rare item.
# Default: 2
AltGameCreationRareXpSpRate = 2

# If set to False, blacksmiths don't take recipes from players inventory when crafting.
# Default: True
AltBlacksmithUseRecipes = True

# Store/Restore Dwarven Manufacture list
# Keep manufacture shoplist after relog
# Default: False
StoreRecipeShopList = False

# ---------------------------------------------------------------------------
# Clan
# ---------------------------------------------------------------------------

# Day on which all pending clan leader requests will be applied:
# Possible values:
# 1 - Sunday
# 2 - Monday
# 3 - Tuesday
# 4 - Wednesday
# 5 - Thursday
# 6 - Friday
# 7 - Saturday
# Default: 3
AltClanLeaderDateChange = 3

# Hour on which all pending data requests will be applied:
# Format: Hour:Minute:Second
# Default: 00:00:00
AltClanLeaderHourChange = 00:00:00

# When enabled all clan leader requests will be performed instantly.
# Default: False
AltClanLeaderInstantActivation = False

# Number of days you have to wait before joining another clan.
# Default: 1
DaysBeforeJoinAClan = 1

# Number of days you have to wait before creating a new clan.
# Default: 10
DaysBeforeCreateAClan = 10

# Number of days it takes to dissolve a clan.
# Default: 7
DaysToPassToDissolveAClan = 7

# Number of days before joining a new alliance when clan voluntarily leave an alliance.
# DEFAULT NEEDS TO BE VERIFIED, MUST BE CHANGED HERE AND IN CONFIG.JAVA IF NOT CORRECT
# Default: 1
DaysBeforeJoinAllyWhenLeaved = 1

# Number of days before joining a new alliance when clan was dismissed from an alliance.
# DEFAULT NEEDS TO BE VERIFIED, MUST BE CHANGED HERE AND IN CONFIG.JAVA IF NOT CORRECT
# Default: 1
DaysBeforeJoinAllyWhenDismissed = 1

# Number of days before accepting a new clan for alliance when clan was dismissed from an alliance.
# DEFAULT NEEDS TO BE VERIFIED, MUST BE CHANGED HERE AND IN CONFIG.JAVA IF NOT CORRECT
# Default: 1
DaysBeforeAcceptNewClanWhenDismissed = 1

# Number of days before creating a new alliance after dissolving an old alliance.
# DEFAULT NEEDS TO BE VERIFIED, MUST BE CHANGED HERE AND IN CONFIG.JAVA IF NOT CORRECT
# Default: 1
DaysBeforeCreateNewAllyWhenDissolved = 1

# Maximum number of clans in alliance.
# Default: 3
AltMaxNumOfClansInAlly = 3

# Allow clan members to withdraw from the clan warehouse.
# Default: False
AltMembersCanWithdrawFromClanWH = False

# Remove castle circlets after a clan loses their castle or a player leaves a clan.
# Default: True
RemoveCastleCirclets = True

# Number of members needed to request a clan war.
# Default: 15
AltClanMembersForWar = 15


# ---------------------------------------------------------------------------
# Party
# ---------------------------------------------------------------------------

# CONFUSING(nothing todo with party) -> When you made damage to a mob
# and are inside this range, you will be considered as player to reward.
# Checks for party range to mob to calculate rewards(exp, items).
# Default: 1600
AltPartyRange = 1600

# 1. Used for Adena distribution in party
# 2. Used to handle random and by turn party loot
# Default: 1400
AltPartyRange2 = 1400

# If true, when party leader leaves party, next member in party will be the leader.
# If false the party be will dispersed.
# Default: False
AltLeavePartyLeader = False


# ---------------------------------------------------------------------------
# Initial Settings:
# ---------------------------------------------------------------------------

#Initial Equipment Events is to enable a special settings for the items that a new character starts with.
#Default: False
InitialEquipmentEvent = False

# This is the amount of Adena that a new character starts their character with.
# Default: 0
StartingAdena = 0

# This is the starting level of the new character.
# Default: 1
StartingLevel = 1

# This is the amount of SP that a new character starts their character with.
# Default: 0
StartingSP = 0

# ---------------------------------------------------------------------------
# Other Settings:
# ---------------------------------------------------------------------------

# This is the maximum amount of Adena that character can have in his inventory or warehouse.
# The maximum input amount is 9,223,372,036,854,775,807. (nine quintillion 
# two hundred twenty three quadrillion three hundred seventy two trillion thirty six billion 
# eight hundred fifty four million seven hundred seventy five thousand eight hundred seven)
# Setting negative values (-1 or others) will result in maximum amount available.
# Big values do not cause critical errors, although only 16 digits are visible in the inventory
# (example: 3,372,036,854,775,807 is visible out of 9,223,372,036,854,775,807)
# Default: 99900000000 (99 bilion and 900 milion)
MaxAdena = 99900000000

# This option, when set to True, will enable automatically picking up items.
# If set False it will force the player to pickup dropped items from mobs.
# This excludes herbs mentioned above and items from Raid/GrandBosses with minions.
# Default: False
AutoLoot = False

# This option, when set to True, will enable automatically picking up items from Raid/GrandBosses with minions.
# If set False it will force the player to pickup dropped items from bosses.
# This excludes herbs mentioned above and items from mobs.
# Default: False
AutoLootRaids = False

# Delay for raid drop items loot privilege
# Require Command Channel , check next option
# Value is in seconds
# Default: 900 (15min)
RaidLootRightsInterval = 900

# Minimal size of Command Channel for apply raid loot privilege
# Default: 45
RaidLootRightsCCSize = 45

# This is the time in seconds that it will take for the player command "/unstuck" to activate.
# Default: 300
UnstuckInterval = 300

# Teleport Watchdog Timeout (seconds)
# Player forced to appear if remain in teleported state longer than timeout
# Does not set too low, recommended value 60s.
# This time is in seconds, leave it at 0 if you want this feature disabled.
# Default: 0
TeleportWatchdogTimeout = 0

# After a player teleports, this is the time the player is protected.
# This time is in seconds, leave it at 0 if you want this feature disabled.
# Retail (Since GE): 600 (10 minutes)
# Default: 600
PlayerSpawnProtection = 600

# Spawn protection should disappear with any action with the exception
# of the item usage from items in this list.
# Format: itemId,itemId,itemId,....
# Default: 0
PlayerSpawnProtectionAllowedItems = 0

# Teleport spawn protection time. It will protect the player in the
# teleport spawn for the given time. 0 to disable feature
PlayerTeleportProtection = 0

# If enabled, players respawn in town on different locations defined in zone.xml for given town.
# If disabled the first spawn location from zone.xml is used.
# Default: True
RandomRespawnInTownEnabled = True

# This will allow a random offset from the base teleport location coordinates based on a maximum offset.
# Default: True
OffsetOnTeleportEnabled = True

# Maximum offset for base teleport location when OffsetOnTeleportEnabled is enabled .
# Default: 50
MaxOffsetOnTeleport = 50

# Restores the player to their previous instance (ie. an instanced area/dungeon) on EnterWorld.
# Default: False
RestorePlayerInstance = False

# Set whether summon skills can be used to summon players inside an instance.
# When enabled individual instances can have summoning disabled in instance xml's.
# DEFAULT NEEDS TO BE VERIFIED, MUST BE CHANGED HERE AND IN CONFIG.JAVA IF NOT CORRECT
# Default: ?
AllowSummonToInstance = True

# When a player dies, is removed from instance after a fixed period of time.
# Time in seconds.
# Default: 60
EjectDeadPlayerTime = 60

# This option is to enable or disable the use of in game petitions.
# The MaxPetitionsPerPlayer is the amount of petitions a player can make.
# The MaximumPendingPetitions is the total amount of petitions in the server.
# Note: 
#	Logically, MaximumPendingPetitions must be higher then MaxPetitionsPerPlayer.
# Default: True, 5, 25
PetitioningAllowed = True
MaxPetitionsPerPlayer = 5
MaxPetitionsPending = 25

# Free teleporting around the world.
# Default: False
AltFreeTeleporting = False

# Allow character deletion after days set below. To disallow character deletion, set this equal to 0.
# Default: 7
DeleteCharAfterDays = 7

# Alternative Xp/Sp rewards, if not 0, then calculated as 2^((mob.level-player.level) / coef). Coef are the 2 numbers set below.
# A few examples for "AltGameExponentXp = 5." and "AltGameExponentSp = 3.":
#	diff = 0 (player and mob has the same level), XP bonus rate = 1, SP bonus rate = 1
#	diff = 3 (mob is 3 levels above), XP bonus rate = 1.52, SP bonus rate = 2
#	diff = 5 (mob is 5 levels above), XP bonus rate = 2, SP bonus rate = 3.17
#	diff = -8 (mob is 8 levels below), XP bonus rate = 0.4, SP bonus rate = 0.16
# Default: 0, 0
AltGameExponentXp = 0
AltGameExponentSp = 0


# PARTY XP DISTRIBUTION
# With "auto method" member is cut from Exp/SP distribution when his share is lower than party bonus acquired for him (30% for 2 member party).
# In that case he will not receive any Exp/SP from party and is not counted for party bonus.
# If you don't want to have a cutoff point for party members' XP distribution, set the first option to "none".
# Available Options: highfive, auto, level, percentage, none
# Default: highfive
PartyXpCutoffMethod = highfive

# This option takes effect when "percentage" method is chosen. Don't use high values for this!
# Default: 3.0
PartyXpCutoffPercent = 3.0

# This option takes effect when "level" method is chosen. Don't use low values for this!
# Default: 20
PartyXpCutoffLevel = 20

# This option takes effect when "highfive" method is chosen.
# Each pair of numbers represent a level range.
# If the gap is between the first pair, there is no penalty.
# If the gap is between the second pair, the lowest party member will gain only 30% of the XP that others receive.
# If the gap is between the last pair, the lowest party member will not receive any XP.
# Default: 0,9;10,14;15,99
PartyXpCutoffGaps = 0,9;10,14;15,99

# This option takes effect when "highfive" method is chosen.
# Each number represent the XP percent gain at that level gap.
# For the first gap, the lowest party member will gain 100% XP as there is no penalty.
# For the second gap, the lowest party member will gain only 30% of the XP that others receive.
# For the last gap, the lowest party member will not receive any XP.
# Default: 100;30;0
PartyXpCutoffGapPercent = 100;30;0

# Disable tutorial on new player enter into Game
# Please remember its sometimes important to novice players
# Default: False
DisableTutorial = False

# Expertise penalty
# If disabled, player will not receive penalty for equip higher grade items
# Default: True
ExpertisePenalty = True

# Player can in client define his own key mapping and for save it must be stored server side.
# Disabled until confirmed as working.
# Default: False
StoreCharUiSettings = False

# Character name restriction
# Disallow characters to have a name which contains the words.
# Split them with ",". Example: announcements,announce...
ForbiddenNames = annou,ammou,amnou,anmou,anou,amou

# If enabled, when character in silence (block PMs) mode sends a PM to a character, silence mode no longer blocks this character, 
# allowing both characters send each other PMs even with enabled silence mode.
# The exclude list is cleared each time the character goes into silence mode.
SilenceModeExclude = False

# Enables alternative validation of triggering skills.
# When enabled pvp skills will not be casted on non flagged player.
# Sadly its non-retail
# Default: False
AltValidateTriggerSkills = False